GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::network::ULConnection Class Reference

ULConnection This is the class that contains the socket to another machine, and passes data through itself, as well as maintaining a sense of state. More...

`#include <gdcmULConnection.h>`

List of all members.

## Public Member Functions

| ULConnection (const ULConnectionInfo &inUserInformation)
virtual | ~ULConnection ()
void | AddAcceptedPresentationContext (const PresentationContextAC &inPC)
PresentationContextRQ | FindContext (const DataElement &de) const
std::vector < PresentationContextAC > const & | GetAcceptedPresentationContexts () const
std::vector < PresentationContextAC > & | GetAcceptedPresentationContexts ()
const ULConnectionInfo & | GetConnectionInfo () const
uint32_t | GetMaxPDUSize () const
const PresentationContextAC * | GetPresentationContextACByID (uint8_t id) const
uint8_t | GetPresentationContextIDFromPresentationContext (PresentationContextRQ const &pc) const
| return 0 upon error
const PresentationContextRQ * | GetPresentationContextRQByID (uint8_t id) const
std::vector < PresentationContextRQ > const & | GetPresentationContexts () const
std::iostream * | GetProtocol ()
EStateID | GetState () const
ARTIMTimer & | GetTimer ()
bool | InitializeConnection ()
| used to establish scu connections
bool | InitializeIncomingConnection ()
| used to establish scp connections
void | SetMaxPDUSize (uint32_t inSize)
void | SetPresentationContexts (const std::vector< PresentationContextRQ > &inContexts)
void | SetPresentationContexts (const std::vector< PresentationContext > &inContexts)
void | SetState (const EStateID &inState)
void | StopProtocol ()

## Detailed Description

ULConnection This is the class that contains the socket to another machine, and passes data through itself, as well as maintaining a sense of state.

The ULConnectionManager tells the ULConnection what data can actually be sent.

This class is done this way so that it can be eventually be replaced with a ULSecureConnection, if such a protocol is warranted, so that all data that passes through can be managed through a secure connection. For now, this class provides a simple pass-through mechanism to the socket itself.

So, for instance, a gdcm object will be passes to this object, and it will then get passed along the connection, if that connection is in the proper state to do so.

For right now, this class is not directly intended to be inherited from, but the potential for future ULSecureConnection warrants the addition, rather than having everything be managed from within the ULConnectionManager (or this class) without a wrapper.

## Constructor & Destructor Documentation

gdcm::network::ULConnection::ULConnection | ( | const ULConnectionInfo & | inUserInformation | ) |

virtual gdcm::network::ULConnection::~ULConnection | ( |  | ) | `[virtual]`

## Member Function Documentation

void gdcm::network::ULConnection::AddAcceptedPresentationContext | ( | const PresentationContextAC & | inPC | ) |

PresentationContextRQ gdcm::network::ULConnection::FindContext | ( | const DataElement & | de | ) | const

std::vector<PresentationContextAC> const& gdcm::network::ULConnection::GetAcceptedPresentationContexts | ( |  | ) | const

std::vector<PresentationContextAC>& gdcm::network::ULConnection::GetAcceptedPresentationContexts | ( |  | ) |

const ULConnectionInfo& gdcm::network::ULConnection::GetConnectionInfo | ( |  | ) | const

uint32_t gdcm::network::ULConnection::GetMaxPDUSize | ( |  | ) | const

const PresentationContextAC* gdcm::network::ULConnection::GetPresentationContextACByID | ( | uint8_t | id | ) | const

uint8_t gdcm::network::ULConnection::GetPresentationContextIDFromPresentationContext | ( | PresentationContextRQ const & | pc | ) | const

return 0 upon error

const PresentationContextRQ* gdcm::network::ULConnection::GetPresentationContextRQByID | ( | uint8_t | id | ) | const

std::vector<PresentationContextRQ> const& gdcm::network::ULConnection::GetPresentationContexts | ( |  | ) | const

std::iostream* gdcm::network::ULConnection::GetProtocol | ( |  | ) |

EStateID gdcm::network::ULConnection::GetState | ( |  | ) | const

ARTIMTimer& gdcm::network::ULConnection::GetTimer | ( |  | ) |

bool gdcm::network::ULConnection::InitializeConnection | ( |  | ) |

used to establish scu connections

bool gdcm::network::ULConnection::InitializeIncomingConnection | ( |  | ) |

used to establish scp connections

void gdcm::network::ULConnection::SetMaxPDUSize | ( | uint32_t | inSize | ) |

void gdcm::network::ULConnection::SetPresentationContexts | ( | const std::vector< PresentationContextRQ > & | inContexts | ) |

void gdcm::network::ULConnection::SetPresentationContexts | ( | const std::vector< PresentationContext > & | inContexts | ) |

void gdcm::network::ULConnection::SetState | ( | const EStateID & | inState | ) |

void gdcm::network::ULConnection::StopProtocol | ( |  | ) |

The documentation for this class was generated from the following file:

- gdcmULConnection.h